explain_fchmod_or_die(3)

NAME
explain_fchmod_or_die - change permissions of an open file and report errors
    "change permissions of an open file and report errors"

SYNOPSIS
#include <libexplain/fchmod.h>

void explain_fchmod_or_die(int fildes, mode_t mode);
int explain_fchmod_on_error(int fildes, mode_t mode);

DESCRIPTION
The explain_fchmod_or_die function is used to call the fchmod(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_fchmod(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_fchmod_on_error function is used to call the fchmod(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_fchmod(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the fchmod(2) system call.

mode
    The mode, exactly as to be passed to the fchmod(2) system call.

RETURN VALUE
The explain_fchmod_or_die function only returns on success, see fchmod(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_fchmod_on_error function always returns the value return by the wrapped fchmod(2) system call.

EXAMPLE
The explain_fchmod_or_die function is intended to be used in a fashion similar to the following example:
    explain_fchmod_or_die(fildes, mode);

SEE ALSO

fchmod(2)
    change permissions of an open file

explain_fchmod(3)
    explain fchmod(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2013 Peter Miller